'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var json = require('klona/json');

/**
 * Create a JsonApiForm object, decoupling the original from the mutable data.
 *
 * @type {import('..').responseToForm}
 */
const responseToForm = response => {
	const data = {};
	const original = {};
	data[response.data.id] = response.data;
	original[response.data.id] = json.klona(response.data);
	if (response.included) {
		for (const resource of response.included) {
			data[resource.id] = resource;
			original[resource.id] = json.klona(resource);
		}
	}
	return { data, original, changes: {}, errors: {} }
};

exports.responseToForm = responseToForm;
